package com.dashitech.migration;

import com.dashitech.migration.task.other.DictionaryTask;
import com.dashitech.migration.task.uc.HospitalTask;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 迁移数据启动类
 * Created by CX on 2024/10/10.
 */
@Service
public class StartApplication {

    public static Log log = LogFactory.getLog(StartApplication.class);

    @Autowired
    private List<SqlTask> sqlTasks;

    @Value("${application.name}")
    private String appName;

    public void start() {
        log.info("########### 开始迁移任务！###########");
        for (SqlTask sqlTask : sqlTasks) {
            if (sqlTask instanceof DictionaryTask) {
                continue;
            }
            if ("xiangyang".equals(appName) && sqlTask instanceof HospitalTask) {
                sqlTask.start();
            }
        }

        log.info("########### 迁移任务完成！###########");
    }


}
